Summary:	Automatic 3D finite element grid generator
Name:		gmsh
Version:	4.13.1
Release:	1
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		http://www.geuz.org/gmsh/
Source0:	http://www.geuz.org/gmsh/src/%{name}-%{version}-source.tgz
BuildRequires:	cmake
BuildRequires:	gcc-gfortran
BuildRequires:	opencascade
BuildRequires:	hdf5-devel
BuildRequires:	fltk-devel
BuildRequires:	gmp-devel
BuildRequires:	gomp-devel
BuildRequires:	jpeg-devel
BuildRequires:	atlas-devel
BuildRequires:	opencascade-devel
BuildRequires:	pkgconfig(blas)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(lapack)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
# There's no more devel package
Obsoletes:	%{name}-devel < 2.8.4

%description
Gmsh is an automatic 3D finite element grid generator with a built-in CAD
engine and post-processor. Its design goal is to provide a simple meshing tool
for academic problems with parametric input and advanced visualization
capabilities.

Gmsh is built around four modules: geometry, mesh, solver and post-processing.
The specification of any input to these modules is done either interactively
using the graphical user interface or in ASCII text files using Gmsh's own
scripting language.

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_iconsdir}/%{name}.png
%exclude %{_docdir}/%{name}/demos/
%exclude %{_docdir}/%{name}/tutorial/
%exclude %{_docdir}/%{name}/examples

#----------------------------------------------------------------------------

%package demos
Summary:	Tutorial and demo files for Gmsh
Group:		Sciences/Mathematics
# known to have issues in mandriva build system
BuildArch:	noarch

%description demos
Gmsh is an automatic 3D finite element grid generator with a built-in CAD
engine and post-processor. Its design goal is to provide a simple meshing tool
for academic problems with parametric input and advanced visualization
capabilities.

Gmsh is built around four modules: geometry, mesh, solver and post-processing.
The specification of any input to these modules is done either interactively
using the graphical user interface or in ASCII text files using Gmsh's own
scripting language.

This package contains tutorial and demo files for Gmsh.

%files demos
%{_docdir}/%{name}/tutorials
%{_docdir}/%{name}/examples
%{_docdir}/%{name}/*.txt

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}-source

%build
%cmake -Wno-dev

%make

%install
%makeinstall_std -C build
install -D utils/icons/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
